#!/usr/bin/zsh
export PYTHONDONTWRITEBYTECODE=1

# be sure to change version if needed!
fpm -s python --python-bin python3 --python-pip pip3 --python-package-name-prefix python3 \
    -m '"Joel Klimont" <joel.klimont@gmail.com>' \
    --license 'proprietary' \
    --description 'Library for robot used in the competition' \
    --after-install postinstall.sh \
    --deb-generate-changes \
    --deb-priority "optional" \
    --deb-systemd "complib.service" \
    -d "python3-pip" \
    -d "nginx" \
    -d "libnginx-mod-rtmp" \
    -d "libsystemd-dev" \
    -d "python3-systemd" \
    -d "gstreamer1.0-tools" \
    -d "gstreamer1.0-plugins-bad" \
    -d "gstreamer1.0-plugins-base" \
    -d "gstreamer1.0-plugins-good" \
    -d "gstreamer1.0-omx-rpi" \
    -d "gstreamer1.0-omx-rpi-config" \
    -d "opencv-dev" \
    -d "opencv-libs" \
    -d "opencv-licenses" \
    -d "opencv-main" \
    -d "opencv-python" \
    -d "opencv-scripts" \
    -d "libatlas-base-dev" \
    -d "pigpio" \
    -d "python-pigpio" \
    -d "python3-pigpio" \
    -d "python3-numpy" \
    -v 0.0.3-7 -t deb setup.py

#    --deb-changelog changelog \
#    --deb-upstream-changelog changelog \
#    --deb-field "Distribution: stable" \
#    --deb-dist "stable" \

#sudo apt purge python3-complib -y
#sudo apt install ./python3-*
#sudo apt search complib
#ar vx ./python3*